from axelrod.action import Action, actions_to_str
from axelrod.player import Player
from axelrod.strategy_transformers import (
    FinalTransformer,
    TrackHistoryTransformer,
)
IIlIlIlllIlllIlII, lIlIIIllll = Action.C, Action.D
class IlllIlllIllIIlIlI(Player):
    IllIIIlll = "strategy"
    IllIlIlIllllll = {
        "memory_depth": 1,
        "stochastic": True,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lllIIlllIl(IlIlIIlIIIllIIl, lllIIIllIIlIIllIIlll):
        if not lllIIIllIIlIIllIIlll.history:
            return IIlIlIlllIlllIlII
        if lllIIIllIIlIIllIIlll.history[-1] == IIlIlIlllIlllIlII:
            return IlIlIIlIIIllIIl._random.random_choice(0.9)
        return lIlIIIllll